Assign a room to a teammate
Assigns a production room to a lab member with configurable permissions (canView, canWork, canAssign). Returns a 409 if the member is already assigned to the room.
Assigns a production room to a lab member with configurable permissions (canView, canWork, canAssign). Returns a 409 if the member is already assigned to the room.
__Secure-guidelab-prod.session_token<token>
Production session cookie set for the guidelab.co domain by Better Auth
In: cookie
Path Parameters
memberId*string
Member ID
Length
1 <= lengthResponse Body
application/json
curl -X POST "https://example.com/production/teammates/mem_123/rooms"{ "assignment": { "id": "string", "memberId": "string", "roomId": "string", "canView": true, "canWork": true, "canAssign": true, "createdAt": "string", "updatedAt": "string", "room": { "id": "string", "name": "string", "color": "string", "createdAt": "string", "updatedAt": "string", "property1": null, "property2": null } }}Empty
Empty
Empty